function Formatter(options) {
  var Cucumber = require('../../cucumber');

  if (!options)
    options = {};
  if (options.logToConsole === undefined)
    options.logToConsole = true;

  var logs = '';

  var self = Cucumber.Listener();

  self.log = function log(string) {
    logs += string;

    process.stdout.write( '...writing output to output.json...' );
    require('fs').writeFileSync( 'output.json', string, {encoding: 'utf8'} );
    process.stdout.write( '...file written...' );

    if (typeof(options.logToFunction) === 'function')
      options.logToFunction(string);
  };

  self.getLogs = function getLogs() {
    return logs;
  };

  return self;
}

module.exports = Formatter;
